#!/bin/sh
set -e

# Créer le répertoire de données persistant
mkdir -p /app/data

# Lancer le framebuffer virtuel sur DISPLAY :1
Xvfb :1 -screen 0 1280x720x24 &
sleep 2

# Lancer x11vnc pour partager le display :1 sur le port 5900 (sans mot de passe)
x11vnc -display :1 -rfbport 5900 -nopw -forever -shared &
sleep 2

# Lancer websockify (noVNC) pour exposer x11vnc sur le port 6080
websockify --web /usr/share/novnc 6080 localhost:5900 &
sleep 2

# Exporter le DISPLAY et lancer l'application en tant que user cloudron
export DISPLAY=:1
exec gosu cloudron /app/code/SoulseekQt

