#!/bin/bash
set -x
set -eu

# Construire l'image Docker
docker build --platform linux/amd64 -t dr.zoemp.be/soulseek:$(cat VERSION) -f Dockerfile.cloudron .

# Pousser l'image vers le registre
docker push dr.zoemp.be/soulseek:$(cat VERSION)

# Installer l'application sur Cloudron
cloudron update --image dr.zoemp.be/soulseek:$(cat VERSION) --app soulseek

